## kdeplasma-addons 6.5.5+p24.04+vunstable+git20260205.0655

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "6.6.80")
project(kdeplasma-addons VERSION ${PROJECT_VERSION})

################# Disallow in-source build #################
if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
    message(FATAL_ERROR "plasma requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there.")
endif()

set(PROJECT_DEP_VERSION "6.5.90")
set(QT_MIN_VERSION "6.10.0")
set(KF6_MIN_VERSION "6.22.0")
set(KDE_COMPILERSETTINGS_LEVEL "6.14")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(FeatureSummary)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMGenerateExportHeader)
include(ECMInstallIcons)
include(KDEPackageAppTemplates)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMQmlModule)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
    Core
    Gui
    DBus
    Network
    Quick
    Qml
    Widgets
    Test
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Config
    CoreAddons
    DBusAddons
    Declarative
    GlobalAccel
    Holidays
    I18n
    Auth
    KIO
    KCMUtils
    Notifications
    Runner
    Service
    Sonnet
    UnitConversion
    XmlGui
    NewStuff
    JobWidgets
    Svg
)

find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaQuick ${PROJECT_DEP_VERSION} REQUIRED)

find_package(KF6Purpose CONFIG QUIET)
set_package_properties(KF6Purpose PROPERTIES
    DESCRIPTION "Framework for cross-application services and actions"
    PURPOSE "Needed for QuickShare applet"
    URL "https://commits.kde.org/purpose"
    TYPE RUNTIME
)

find_package(KF6KirigamiAddons CONFIG)
set_package_properties(KF6KirigamiAddons PROPERTIES
    DESCRIPTION "Extra controls for Kirigami applications"
    PURPOSE "Required at runtime for the User List widget"
    TYPE RUNTIME
)

find_package(KF6ItemModels CONFIG)
set_package_properties(KF6ItemModels PROPERTIES
    DESCRIPTION "Set of item models extending the Qt model-view framework"
    PURPOSE "Required at runtime for the Dictionary, Kate Profiles, and Konsole Profiles applets"
    TYPE RUNTIME
)

find_package(ICU 66.1 COMPONENTS uc i18n)
set_package_properties(ICU
        PROPERTIES DESCRIPTION "Unicode and Globalization support for software applications"
        TYPE OPTIONAL
        PURPOSE "Provides alternate calendar systems that are not available in QCalendar"
        )
if(ICU_FOUND)
    set(HAVE_ICU TRUE)
endif()

find_package(Qt6Quick3D CONFIG)
set_package_properties(Qt6Quick3D PROPERTIES
    DESCRIPTION "A high-level API for creating 3D content and 3D user interfaces based on Qt Quick"
    PURPOSE "Required for desktop cube"
    TYPE RUNTIME
)

add_definitions(
    -DQT_DEPRECATED_WARNINGS
    -DQT_NO_URL_CAST_FROM_STRING
)

ecm_set_disabled_deprecation_versions(
    QT 6.8.1
    KF 6.9.0
)

add_subdirectory(dict)
add_subdirectory(kdeds)
add_subdirectory(profiles)
add_subdirectory(applets)
add_subdirectory(runners)

add_subdirectory(wallpapers)

add_subdirectory(kwin)

add_subdirectory(plasmacalendarplugins)

add_subdirectory(templates)
add_subdirectory(appiumtests)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)
ecm_qt_install_logging_categories(EXPORT KDEPLASMAADDONS
    FILE kdeplasma-addons.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)


feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kdeplasma-addons (4:6.5.5+p24.04+vunstable+git20260205.0655-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:55:38 +0000

## kdeplasma-addons 6.6.1

=== kwin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
# SPDX-FileCopyrightText: 2025 Kristen McWilliam <kristen@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(effects)
add_subdirectory(scripts)
add_subdirectory(windowswitchers)

=== wallpapers/CMakeLists.txt ===
plasma_install_package(haenau org.kde.haenau wallpapers wallpaper)
plasma_install_package(hunyango org.kde.hunyango wallpapers wallpaper)
add_subdirectory(potd)
add_subdirectory(tiled)

=== applets/calculator/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Tobias Fella <tobias.fella@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

plasma_add_applet(org.kde.plasma.calculator QML_SOURCES main.qml GENERATE_APPLET_CLASS)

=== applets/fifteenPuzzle/CMakeLists.txt ===
ecm_add_qml_module(fifteenpuzzleplugin URI org.kde.plasma.private.fifteenpuzzle)
target_sources(fifteenpuzzleplugin PRIVATE
    plugin/fifteenimageprovider.cpp
    plugin/fifteenpuzzleplugin.cpp
)
target_link_libraries(fifteenpuzzleplugin PRIVATE Qt::Quick Qt::Qml)
ecm_finalize_qml_module(fifteenpuzzleplugin)

plasma_add_applet(org.kde.plasma.fifteenpuzzle
    QML_SOURCES
        qml/main.qml
        qml/configAppearance.qml
        qml/FifteenPuzzle.qml
        qml/Piece.qml
        qml/config.qml
    RESOURCES
        qml/blanksquare.svg
        main.xml
    GENERATE_APPLET_CLASS
)

ecm_qt_declare_logging_category(fifteenpuzzleplugin
    HEADER debug_p.h
    IDENTIFIER "PLASMA_FIFTEENPUZZLE"
    CATEGORY_NAME org.kde.plasma.fifteenpuzzle
    DESCRIPTION "Plasma Fifteen Puzzle"
    DEFAULT_SEVERITY Warning
    EXPORT "PLASMA_FIFTEENPUZZLE"
)

=== applets/mediaframe/CMakeLists.txt ===
plasma_add_applet(org.kde.plasma.mediaframe GENERATE_APPLET_CLASS
    QML_SOURCES
        qml/main.qml
        qml/ConfigBehavior.qml
        qml/ConfigMedia.qml
        qml/config.qml
    CPP_SOURCES
        mediaframe.cpp
    RESOURCES
        main.xml
)

ecm_qt_declare_logging_category(org.kde.plasma.mediaframe
    HEADER debug_p.h
    IDENTIFIER "PLASMA_MEDIAFRAME"
    CATEGORY_NAME org.kde.plasma.mediaframe
    DESCRIPTION "Plasma Media Frame widget"
    DEFAULT_SEVERITY Warning
    EXPORT "PLASMA_MEDIAFRAME"
)

target_link_libraries(org.kde.plasma.mediaframe PRIVATE
    Qt::Core
    Qt::Qml
    Qt::Quick
    KF6::I18n
    KF6::KIOCore
)

=== applets/userswitcher/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Tobias Fella <tobias.fella@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

plasma_add_applet(org.kde.plasma.userswitcher
    QML_SOURCES
        qml/ActionListDelegate.qml
        qml/configGeneral.qml
        qml/config.qml
        qml/ListDelegate.qml
        qml/main.qml
        qml/UserListDelegate.qml
    RESOURCES
        main.xml
    GENERATE_APPLET_CLASS
)

=== debian/changelog ===
kdeplasma-addons (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * Update install files.
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:12:54 +0000

kdeplasma-addons (4:6.5.5-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Feb 2026 12:53:52 +0000

kdeplasma-addons (4:6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:53:23 +0000

=== debian/control ===
Source: kdeplasma-addons
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.22.0~),
               gettext,
               hunspell-en-us <!nocheck>,
               libicu-dev (>= 66.1~),
               libkf6auth-dev (>= 6.22.0~),
               libkf6config-dev (>= 6.22.0~),
               libkf6coreaddons-dev (>= 6.22.0~),
               libkf6dbusaddons-dev (>= 6.22.0~),
               libkf6declarative-dev (>= 6.22.0~),
               libkf6globalaccel-dev (>= 6.22.0~),
               libkf6holidays-dev (>= 6.22.0~),
               libkf6i18n-dev (>= 6.22.0~),
               libkf6jobwidgets-dev (>= 6.22.0~),
               libkf6kcmutils-dev (>= 6.22.0~),
               libkf6kio-dev (>= 6.22.0~),
               libkf6newstuff-dev (>= 6.22.0~),
               libkf6notifications-dev (>= 6.22.0~),
               libkf6runner-dev (>= 6.22.0~),
               libkf6service-dev (>= 6.22.0~),
               libkf6sonnet-dev (>= 6.22.0~),
               libkf6svg-dev (>= 6.22.0~),
               libkf6unitconversion-dev (>= 6.22.0~),
               libkf6xmlgui-dev (>= 6.22.0~),
               libplasma-dev (>= 6.6.1~),
               libplasma5support-dev (>= 4:6.6.1~),
               pkgconf,
               qt6-5compat-dev (>= 6.10.0~),
               qt6-base-dev (>= 6.10.0~),
               qt6-declarative-dev (>= 6.10.0~),
               qt6-webengine-dev (>= 6.10.0~) [amd64 arm64 armhf i386],
               sonnet6-plugins <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/kdeplasma-addons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons

Package: kdeplasma-addons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: locale files for kdeplasma-addons
 The KDE Plasma addons module is a collection of additional Plasma 6
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package contains locale files for KDE Plasma addons module.

Package: kwin-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         kwin-wayland (>= 4:6.2.90~),
         plasma-desktoptheme (>= 6.2.90~),
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         qml6-module-qtquick3d,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional desktop and window switchers for KWin
 This package contains additional KWin desktop and window switchers shipped in
 the Plasma 6 addons module.
 .
 This package is part of the KDE Plasma addons module.

Package: libplasmaweatherdata6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: plasma-widgets-addons (<< 4:6.5.0-1~),
Replaces: plasma-widgets-addons (<< 4:6.5.0-1~),
Description: weather data manipulation library for Plasma widgets
 This library provide various classes to manipulate weather forecast data.
 .
 This package is part of the KDE Plasma 6 addons module.

Package: libplasmaweatherion6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: plasma-widgets-addons (<< 4:6.5.0-1~),
Replaces: plasma-widgets-addons (<< 4:6.5.0-1~),
Description: weather location and forcast library for Plasma widgets
 This library provides weather "ions" that can be used to request locations
 and weather forecast on the locations.
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-calendar-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-desktoptheme (>= 6.2.90~),
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional calendar plugins for Plasma 6
 This package contains additional Plasma 6 calendar plugins that are used in
 the Plasma desktop.
 .
 This package contains the following calendars:
  * Alternate Calendar
  * Astonomical Calendar
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-dataengines-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-desktoptheme (>= 6.2.90~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma 6
 addons module. These engines are needed by some Plasma 6 widget shipped with
 plasma-widgets-addons, but they may be useful for any other Plasma widgets too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional runners for Plasma 6 and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package contains the following runners:
  * Special Characters
  * Unit Converter
  * Date and Time
  * Dictionary
  * Kate Sessions
  * Konsole Profiles
  * Spell Checker
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-wallpapers-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-desktoptheme (>= 6.2.90~),
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-ksvg,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional wallpaper plugins for Plasma 6
 This package contains additional Plasma 6 wallpaper plugins that are used in
 the Plasma desktop.
 .
 This package contains the following wallpaper plugins:
  * Haenau
  * Hunyango
  * Picture of the Day
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-widgets-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kpackagetool6,
         libkf6purpose-bin,
         plasma-dataengines-addons (= ${binary:Version}),
         plasma-desktoptheme (>= 6.2.90~),
         plasma-workspace (>= 4:6.2.90~),
         qml6-module-org-kde-config,
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-draganddrop,
         qml6-module-org-kde-iconthemes,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-kwindowsystem,
         qml6-module-org-kde-newstuff,
         qml6-module-org-kde-notifications,
         qml6-module-org-kde-plasma-plasma5support,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         qml6-module-qtwebengine [amd64 arm64 armhf i386],
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: plasma-systemmonitor (>= 6.2.90~),
Suggests: quota,
Breaks: plasma-workspace-data (<< 4:6.4.90~),
Replaces: plasma-workspace-data (<< 4:6.4.90~),
Description: additional widgets for Plasma 6
 This package contains additional Plasma 6 widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package provides the following widgets:
  * Application Dashboard
  * Binary Clock
  * Calculator
  * Color Picker
  * Comic Strip
  * Dictionary
  * Disk Quota
  * Fifteen Puzzle
  * Fuzzy Clock
  * Grouping Plasmoid
  * Kate Sessions
  * Keyboard Indicator
  * Konsole Profiles
  * Lock Keys Status
  * Media Frame
  * Quicklaunch
  * Sticky Note
  * Timer
  * User Switcher
  * Weather Report
  * Web Browser
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-widgets-addons-dev
Section: libdevel
Architecture: any
Depends: libplasmaweatherdata6 (= ${binary:Version}),
         libplasmaweatherion6 (= ${binary:Version}),
         qt6-base-dev (>= 6.10.0~),
         ${misc:Depends},
Breaks: plasma-widgets-addons (<< 4:6.5.0-1~),
Replaces: plasma-widgets-addons (<< 4:6.5.0-1~),
Description: additional widgets for Plasma 6 - development files
 This package contains the development headers for the shared libraries
 shipped with the additional Plasma 6 widgets from the Plasma addons module.
 .
 This package is part of the KDE Plasma 6 addons module.

## kdeplasma-addons 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.2")
 project(kdeplasma-addons VERSION ${PROJECT_VERSION})
 
 ################# Disallow in-source build #################
@@ -8,7 +8,7 @@
     message(FATAL_ERROR "plasma requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there.")
 endif()
 
-set(PROJECT_DEP_VERSION "6.5.90")
+set(PROJECT_DEP_VERSION "6.6.2")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.14")

=== debian/changelog ===
kdeplasma-addons (4:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:21:24 +0000

=== debian/control ===
--- 
+++ 
@@ -32,8 +32,8 @@
                libkf6svg-dev (>= 6.22.0~),
                libkf6unitconversion-dev (>= 6.22.0~),
                libkf6xmlgui-dev (>= 6.22.0~),
-               libplasma-dev (>= 6.6.1~),
-               libplasma5support-dev (>= 4:6.6.1~),
+               libplasma-dev (>= 6.6.2~),
+               libplasma5support-dev (>= 4:6.6.2~),
                pkgconf,
                qt6-5compat-dev (>= 6.10.0~),
                qt6-base-dev (>= 6.10.0~),
@@ -62,8 +62,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         kwin-wayland (>= 4:6.2.90~),
-         plasma-desktoptheme (>= 6.2.90~),
+         kwin-wayland (>= 4:6.6.0~),
+         plasma-desktoptheme (>= 6.6.0~),
          qml6-module-org-kde-kirigami,
          qml6-module-org-kde-ksvg,
          qml6-module-qt5compat-graphicaleffects,
@@ -109,7 +109,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         plasma-desktoptheme (>= 6.2.90~),
+         plasma-desktoptheme (>= 6.6.0~),
          qml6-module-org-kde-kcmutils,
          qml6-module-org-kde-kirigami,
          qml6-module-qtquick,
@@ -132,7 +132,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         plasma-desktoptheme (>= 6.2.90~),
+         plasma-desktoptheme (>= 6.6.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: additional data engines for Plasma
@@ -168,7 +168,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         plasma-desktoptheme (>= 6.2.90~),
+         plasma-desktoptheme (>= 6.6.0~),
          qml6-module-org-kde-kirigami,
          qml6-module-org-kde-kquickcontrols,
          qml6-module-org-kde-ksvg,
@@ -196,8 +196,8 @@
          kpackagetool6,
          libkf6purpose-bin,
          plasma-dataengines-addons (= ${binary:Version}),
-         plasma-desktoptheme (>= 6.2.90~),
-         plasma-workspace (>= 4:6.2.90~),
+         plasma-desktoptheme (>= 6.6.0~),
+         plasma-workspace (>= 4:6.6.0~),
          qml6-module-org-kde-config,
          qml6-module-org-kde-coreaddons,
          qml6-module-org-kde-draganddrop,
